Module java.base
Package java.security

## Interface KeyStore.LoadStoreParameter

- All Known Implementing Classes:
    `DomainLoadStoreParameter`
  Enclosing class:
    KeyStore

      public static interface KeyStore.LoadStoreParameter

  A marker interface for `KeyStore` `load` and `store` parameters.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KeyStore.ProtectionParameter` | `getProtectionParameter​()` | Gets the parameter used to protect keystore data.

- - ### Method Detail

    - #### getProtectionParameter

          KeyStore.ProtectionParameter getProtectionParameter​()

      Gets the parameter used to protect keystore data.
      Returns:
        the parameter used to protect keystore data, or null